<div id="register" fxLayout="column">

    <div id="register-form-wrapper" fxLayout="column" fxLayoutAlign="center center">

        <div id="register-form" [@animate]="{value:'*',params:{duration:'300ms',y:'100px'}}">

            <div class="logo" [routerLink]="'/home'">
                <img src="assets/images/logos/logopng.png" style="cursor: pointer;">
            </div>

            <form name="registerForm" [formGroup]="registerForm" novalidate>

                <mat-form-field appearance="outline">
                    <mat-label>Name</mat-label>
                    <input matInput formControlName="name">
                    <mat-error>
                        Name is required
                    </mat-error>
                </mat-form-field>

                <mat-form-field appearance="outline">
                    <mat-label>Email Address</mat-label>
                    <input matInput formControlName="email">
                    <mat-error *ngIf="registerForm.get('email').hasError('required')">
                        Email is required
                    </mat-error>
                    <mat-error *ngIf="registerForm.get('email').hasError('email')">
                        Please input valid email address
                    </mat-error>
                </mat-form-field>

                <mat-form-field appearance="outline">
                    <mat-label>Password</mat-label>
                    <input matInput type="password" formControlName="password">
                    <mat-error>
                        Password is required
                    </mat-error>
                </mat-form-field>

                <mat-form-field appearance="outline">
                    <mat-label>Password (Confirm)</mat-label>
                    <input matInput type="password" formControlName="passwordConfirm">
                    <mat-error *ngIf="registerForm.get('passwordConfirm').hasError('required')">
                        Confirm password is required
                    </mat-error>
                    <mat-error *ngIf="!registerForm.get('passwordConfirm').hasError('required') &&
                                       registerForm.get('passwordConfirm').hasError('passwordsNotMatching')">
                        Confirm password is not matching
                    </mat-error>
                </mat-form-field>
                <button mat-raised-button class="submit-button" color="accent" aria-label="RESET MY PASSWORD"
                    [disabled]="registerForm.invalid || process == 'sending'" (click)="createAccountBtn()">
                    SIGN UP
                    <mat-icon *ngIf="process == 'sending'">
                        <mat-spinner color="accent" diameter="20">
                        </mat-spinner>
                    </mat-icon>
                </button>

            </form>

            <div class="register" fxLayout="column" fxLayoutAlign="center center">
                <a class="link" [routerLink]="'/auth/login'">Login</a>
            </div>

        </div>

    </div>

</div>
